enuToOtherAdv {oce} | R Documentation

## Convert ENU to Other Coordinate

### Description

Convert ADV velocity components from an enu-based coordinate system to another system, perhaps to align axes with the coastline.

### Usage

    enuToOtherAdv(x, heading = 0, pitch = 0, roll = 0,
      debug = getOption("oceDebug"))

### Arguments

`x` | An `adv` object, i.e. one inheriting from `adv-class`.
`heading` | number or vector of numbers, giving the angle, in degrees, to be added to the heading. See “Details”.
`pitch` | as `heading` but for pitch.
`roll` | as `heading` but for roll.
`debug` | an integer specifying whether debugging information is to be printed during the processing. This is a general parameter that is used by many `oce` functions. Generally, setting `debug=0` turns off the printing, while higher values suggest that more information be printed.

### Details

The supplied angles specify rotations to be made around the axes for which heading, pitch, and roll are defined. For example, an eastward current will point southeast if `heading=45` is used.

The returned value has heading, pitch, and roll matching those of `x`, so these angles retain their meaning as the instrument orientation.

NOTE: this function works similarly to `xyzToEnuAdv`, except that in the present function, it makes no difference whether the instrument points up or down, etc.

### Author(s)

Dan Kelley

### See Also

Other things related to `adv` data: `[[,adv-method`, `[[<-,adv-method`, `adv-class`, `adv`, `beamName`, `beamToXyz`, `enuToOther`, `plot,adv-method`, `read.adv.nortek`, `read.adv.sontek.adr`, `read.adv.sontek.serial`, `read.adv.sontek.text`, `read.adv`, `subset,adv-method`, `summary,adv-method`, `toEnuAdv`, `toEnu`, `velocityStatistics`, `xyzToEnuAdv`, `xyzToEnu`

[Package oce version 0.9-20 Index]